build Docker image sdk-intel_mips-xrx500:
  stage: docker SDK
  needs: ["build test intel_mips prpl"]
  variables:
    DOCKER_DOCKERFILE_PATH: .gitlab/docker/sdk
    DOCKER_BUILD_EXTRA_ARGS: --build-arg DESIGNATED_BRANCH=$CI_DESIGNATED_BRANCH
  extends: .build Docker image
  before_script:
    - tar xf bin/targets/intel_mips/xrx500/openwrt-sdk-intel_mips-xrx500_gcc-*_musl.Linux-x86_64.tar.xz --strip=1 -C .gitlab/docker/sdk

test Docker image sdk-intel_mips-xrx500:
  extends: .test Docker SDK image
  needs: ["build Docker image sdk-intel_mips-xrx500"]

deploy Docker image sdk-intel_mips-xrx500:
  stage: docker SDK deploy
  extends: .deploy Docker image
  needs: ["test Docker image sdk-intel_mips-xrx500"]


build Docker image sdk-ipq40xx-generic:
  stage: docker SDK
  needs: ["build test ipq40xx prpl"]
  variables:
    DOCKER_DOCKERFILE_PATH: .gitlab/docker/sdk
    DOCKER_BUILD_EXTRA_ARGS: --build-arg DESIGNATED_BRANCH=$CI_DESIGNATED_BRANCH
  extends: .build Docker image
  before_script:
    - tar xf bin/targets/ipq40xx/generic/openwrt-sdk-ipq40xx-generic_gcc*.Linux-x86_64.tar.xz --strip=1 -C .gitlab/docker/sdk

test Docker image sdk-ipq40xx-generic:
  extends: .test Docker SDK image
  needs: ["build Docker image sdk-ipq40xx-generic"]

deploy Docker image sdk-ipq40xx-generic:
  stage: docker SDK deploy
  extends: .deploy Docker image
  needs: ["test Docker image sdk-ipq40xx-generic"]


build Docker image sdk-mvebu-cortexa9:
  stage: docker SDK
  needs: ["build test mvebu prpl"]
  variables:
    DOCKER_DOCKERFILE_PATH: .gitlab/docker/sdk
    DOCKER_BUILD_EXTRA_ARGS: --build-arg DESIGNATED_BRANCH=$CI_DESIGNATED_BRANCH
  extends: .build Docker image
  before_script:
    - tar xf bin/targets/mvebu/cortexa9/openwrt-sdk-mvebu-cortexa9_gcc*Linux-x86_64.tar.xz --strip=1 -C .gitlab/docker/sdk

test Docker image sdk-mvebu-cortexa9:
  extends: .test Docker SDK image
  needs: ["build Docker image sdk-mvebu-cortexa9"]

deploy Docker image sdk-mvebu-cortexa9:
  stage: docker SDK deploy
  extends: .deploy Docker image
  needs: ["test Docker image sdk-mvebu-cortexa9"]
